Documentation forAppOptics

Supported Components

Note that current non-LTS Node.js versions are supported after LTS versions, and only on a beta-basis. Additionally, the node agent uses N-API version 3 so please verify it is supported by the node version you are using – see the N-API version matrix.

Node.js v14
cache clients
levelup 5.0.0-6.0.1 redis 0.8.0-3.0.2
memcached 2.2.0-2.2.2    

core modules
crypto https
fs zlib
http  

database clients
cassandra-driver 3.3.0-4.5.2 mysql 2.1.1-2.18.1
mongodb 3.3.0-3.5.9 pg 8.0.3-8.2.1
mongodb-core 3.0.0-3.2.7 Microsoft SQL via tedious 0.1.5-9.0.1
mongoose via mongodb; mongo via mongodb-core 5.0.0-5.9.20    

frameworks
@hapi/hapi 17.9.0-19.1.1 koa 1.0.0-2.13.0
@hapi/vision 5.5.0-6.0.0 koa-resource-router 0.1.0-0.4.0
koa co-render 0.0.1-1.1.0 koa-route 1.0.1-3.2.0
director 1.2.0-1.2.8 koa-router 3.0.0-3.8.0, 4.0.1-9.1.0
express 3.0.0-4.17.1 restify 4.1.0-8.5.1
hapi 17.0.0-18.1.0    

loggers supporting auto-insertion of trace IDs
bunyan 1.0.0-2.0.4 pino 2.3.0-3.2.0, 3.3.1-4.0.3, 4.1.1-5.17.0
morgan 1.6.0-1.10.0 winston 1.0.0-3.3.3

Other components
amqplib 0.2.0-0.3.2, 0.4.1-0.5.3, 0.5.5-0.5.6 generic-pool 2.4.0-3.7.1
bcrypt 3.0.6-5.0.0 q 0.9.0-1.5.1, 2.0.3
bluebird 2.0.2-3.7.2 raw-body 0.0.1-2.4.1
Node.js v12
database clients
cassandra-driver 3.3.0-4.3.1 mysql 2.1.1-2.18.1
mongodb 3.3.0-3.5.3 mongodb via mongodb-core 2.0.0-3.2.7
mongoose via mongodb 5.7.0-5.8.11 mongoose via mongodb-core 4.6.4-4.10.8, 4.11.1, 4.11.3-5.6.13
pg 4.4.5-7.18.1 Microsoft SQL via tedious 0.1.5-8.0.1

frameworks
director 1.2.0-1.2.8 flatiron via director
express 3.0.0-4.17.1 kraken via express
mean via express coke via express
sails via express hapi 13.0.0-18.4.0
restify 4.1.0-8.5.1 koa 1.0.0-2.11.0
koa-route 1.0.1-3.2.0 koa-router 3.0.0-3.8.0, 4.0.1-8.0.7
koa-resource-router 0.1.0-0.4.0 koa co-render 0.0.1-1.1.0

cache clients
levelup 2.0.0-6.0.0 redis 0.8.0-3.0.2

loggers supporting auto-insertion of trace IDs
bunyan 1.0.0-2.0.2 pino 2.3.0-3.2.0, 3.3.1-4.0.3, 4.1.1-5.16.0
morgan 1.6.0-1.9.1 winston 1.0.0-3.2.1

core modules
crypto fs
http https
zlib  

Other components
amqplib 0.2.0-0.3.2, 0.4.1-0.4.2, 0.5.1-0.5.3, 0.5.5 generic-pool 2.4.0-3.7.1
bcrypt 3.0.6-3.0.8 raw-body 0.0.1-2.4.1
bluebird 2.0.2-3.7.2 q 0.9.0-1.5.1, 2.0.3
Node.js v10
database clients
cassandra-driver 3.3.0-4.3.1 mysql 2.1.1-2.18.1
mongodb 3.3.0-3.5.3 mongodb via mongodb-core 2.0.0-3.2.7
mongoose via mongodb 5.7.0-5.8.11 mongoose via mongodb-core 4.6.4-4.10.8, 4.11.1, 4.11.3-5.6.13
pg 4.4.5-7.18.1 Microsoft SQL via tedious 0.1.5-8.0.1

frameworks
director 1.2.0-1.2.8 flatiron via director
express 3.0.0-4.17.1 kraken via express
mean via express coke via express
sails via express hapi 13.0.0-18.4.0
restify 4.1.0-8.5.1 koa 1.0.0-2.11.0
koa-route 1.0.1-3.2.0 koa-router 3.0.0-3.8.0, 4.0.1-8.0.7
koa-resource-router 0.1.0-0.4.0 koa co-render 0.0.1-1.1.0

cache clients
levelup 2.0.0-6.0.0 redis 0.8.0-3.0.2

loggers supporting auto-insertion of trace IDs
bunyan 1.0.0-2.0.2 pino 2.3.0-3.2.0, 3.3.1-4.0.3, 4.1.1-5.16.0
morgan 1.6.0-1.9.1 winston 1.0.0-3.2.1

core modules
crypto fs
http https
zlib  

Other components
amqplib 0.2.0-0.3.2, 0.4.1-0.4.2, 0.5.1-0.5.3, 0.5.5 generic-pool 2.4.0-3.7.1
bcrypt 2.0.0-3.0.8 raw-body 0.0.1-2.4.1
bluebird 2.0.2-3.7.2 q 0.9.0-1.5.1, 2.0.3
Node.js v8 (EOL)
database clients
cassandra-driver 3.3.0-4.3.1 mysql 2.1.1-2.18.1
mongodb 3.3.0-3.5.3 mongodb via mongodb-core 2.0.0-3.2.7
mongoose via mongodb 5.7.0-5.8.11 mongoose via mongodb-core 4.6.4-4.10.8, 4.11.1, 4.11.3-5.6.13
pg 4.4.5-7.18.1 Microsoft SQL via tedious 0.1.5-8.0.1

frameworks
director 1.2.0-1.2.8 flatiron via director
express 3.0.0-4.17.1 kraken via express
mean via express coke via express
sails via express hapi 13.0.0-18.4.0
restify 4.1.0-8.5.1 koa 1.0.0-2.11.0
koa-route 1.0.1-3.2.0 koa-router 3.0.0-3.8.0, 4.0.1-8.0.7
koa-resource-router 0.1.0-0.4.0 koa co-render 0.0.1-1.1.0

cache clients
levelup 1.3.0-6.0.0 redis 0.8.0-3.0.2

loggers supporting auto-insertion of trace IDs
bunyan 1.0.0-2.0.2 pino 2.3.0-3.2.0, 3.3.1-4.0.3, 4.1.1-5.16.0
morgan 1.6.0-1.9.1 winston 1.0.0-3.2.1

core modules
crypto fs
http https
zlib  

Other components
amqplib 0.2.0-0.3.2, 0.4.1-0.4.2, 0.5.1-0.5.3, 0.5.5 generic-pool 2.4.0-3.7.1
bcrypt 0.8.6-3.0.8 raw-body 0.0.1-2.4.1
bluebird 2.0.2-3.7.2 q 0.9.0-1.5.1, 2.0.3
Node.js v6 (EOL)
database clients
cassandra-driver 3.3.0-4.0.0 mongodb-core 2.0.0-3.2.3
mongoose via mongodb-core 4.6.4-4.10.8, 4.11.1, 4.11.3-5.4.22 mysql 2.1.0-2.16.0
pg 4.4.5-7.9.0 Microsoft SQL via tedious 0.1.5-6.1.0

frameworks
director 1.2.0-1.2.8 flatiron via director
express 3.0.0-3.21.2, 4.0.0-4.16.4 kraken via express
mean via express coke via express
sails via express hapi 13.0.0-16.7.0
restify 2.0.0-2.0.1, 2.0.3-4.3.4, 5.0.0-6.4.0 koa 1.0.0-2.6.2
koa-route 1.0.1-3.2.0 koa-router 3.0.0-3.8.0, 4.0.1-7.4.0
koa-resource-router 0.1.0-0.4.0 koa co-render 0.0.1-1.1.0

cache clients
levelup 1.3.0-5.0.1 redis 0.8.0-2.4.2, 2.5.0-2.8.0

loggers supporting auto-insertion of trace IDs
bunyan 1.0.0-2.0.2 pino 2.3.0-3.2.0, 3.3.1-4.0.3, 4.1.1-5.12.2
morgan 1.6.0-1.9.1 winston 1.0.0-3.2.1

core modules
crypto fs
http https
zlib  

Other components
amqplib 0.2.0-0.3.2, 0.4.1-0.4.2, 0.5.1-0.5.2 generic-pool 2.4.0-3.7.1
bcrypt 0.8.6-3.0.5 raw-body 0.0.1-2.3.3
bluebird 2.0.2-3.5.4 q 0.9.0-1.5.1, 2.0.3

When the APM Integrated Experience is enabled, AppOptics shares a common navigation and enhanced feature set with the other integrated experiences' products. How you navigate AppOptics and access its features may vary from these instructions. For more information, go to the APM Integrated Experience documentation.